#!/bin/sh
###############################################################
# Program: setupipacct.sh
# Purpose: Configure the ip_acct Linux Kernel module
#          for the UKShells servers on the UKSolutions network
# Author : Stuart Winter <stuart@polplex.co.uk>
################################################################
# Note...: This script is intended as an example only
################################################################

# Check to see if ip_acct module is already loaded -- if it is then do nothing
# otherwise we reset the counters !
#
if [ -z "$(/sbin/lsmod | grep "^ip_acct")" ]; then
   modprobe ip_acct 2>/dev/null
   # If the module loaded OK then we'll configure ip_acct to ignore given netblocks
   if [ -f /proc/net/ip_acct_user ]; then
      echo "Configuring IP Accounting module"
      /usr/sbin/ipacct -uza                # reset bandwidth counters for all users
      /usr/sbin/ipacct -if                 # reset all previous netblock ignore lists
      /usr/sbin/ipacct -ia 217.10.128.0/19 # ignore traffic destined to any host on UKS' network
      /usr/sbin/ipacct -ia 127.0.0.1/8     # ignore localhost traffic
      /usr/sbin/ipacct -ia 10.50.50.0/24   # ignore private LAN traffic
   fi
fi


#eof

